at.chipkarte.client.rez.soap

## Class SuchkriterienSelbstabgegebeneRezepte

- Object
- - at.chipkarte.client.rez.soap.SuchkriterienSelbstabgegebeneRezepte

-     public class SuchkriterienSelbstabgegebeneRezepte
      extends Object

  Suchkriterien für die Suche über selbst abgegebene e-Rezepte.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuchkriterienSelbstabgegebeneRezepte()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbgabedatumBis()` Maximales Abgabedatum das in der Suche inkludiert werden soll.
    `String` | `getAbgabedatumVon()` Frühstes Abgabedatum das in der Suche inkludiert werden soll.
    `String` | `getAusstellungsdatumBis()` Maximales Ausstellungsdatum das in der Suche inkludiert werden soll.
    `String` | `getAusstellungsdatumVon()` Frühstes Ausstellungsdatum das in der Suche inkludiert werden soll.
    `String` | `getKarteninhaberKennnummer()` 6 Kennnummer des Karteninhabers.
    `String` | `getKvt()` KV-Träger.
    `String` | `getOrdinationsId()` Eindeutiger Bezeichner einer Ordination.
    `String` | `getPatientVorname()` Vorname des Patienten.
    `String` | `getPatientZuname()` Zuname / Familienname des Patienten.
    `String` | `getRezeptart()` Information um welche Art von Rezept es sich handelt.
    `String` | `getRezeptStatus()` Gesuchter Rezeptstatus bei Kassenrezept bzw. gesuchter Abgabestatus bei Privatrezept.
    `String` | `getRezId()` Eindeutige ID eines e-Rezeptes.
    `String` | `getSvnr()` Versicherungsnummer des Patienten.
    `String` | `getVpnr()` Vertragspartnernummer.
    `void` | `setAbgabedatumBis(String abgabedatumBis)`
    `void` | `setAbgabedatumVon(String abgabedatumVon)`
    `void` | `setAusstellungsdatumBis(String ausstellungsdatumBis)`
    `void` | `setAusstellungsdatumVon(String ausstellungsdatumVon)`
    `void` | `setKarteninhaberKennnummer(String karteninhaberKennnummer)`
    `void` | `setKvt(String kvt)`
    `void` | `setOrdinationsId(String ordinationsId)`
    `void` | `setPatientVorname(String patientVorname)`
    `void` | `setPatientZuname(String patientZuname)`
    `void` | `setRezeptart(String rezeptart)`
    `void` | `setRezeptStatus(String rezeptStatus)`
    `void` | `setRezId(String rezId)`
    `void` | `setSvnr(String svnr)`
    `void` | `setVpnr(String vpnr)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuchkriterienSelbstabgegebeneRezepte

          public SuchkriterienSelbstabgegebeneRezepte()

  - ### Method Detail

    - #### getRezeptart

          public String getRezeptart()

      Information um welche Art von Rezept es sich handelt.
      Angabe: Kann. Die Rezeptart wird bei Verwendung der Suchkriterien zum Download von Rezeptdatensätzen (Funktion `eRezepteDatensatzDownloaden()`) ignoriert.
      Mögliche Werte: `RezeptartConstants`.
      Returns:
        Rezeptart.

    - #### setRezeptart

          public void setRezeptart(String rezeptart)

    - #### getSvnr

          public String getSvnr()

      Versicherungsnummer des Patienten.
      Format: 10-stellig
      Angabe: Kann.
      Returns:
        svnr

    - #### setSvnr

          public void setSvnr(String svnr)

    - #### getKarteninhaberKennnummer

          public String getKarteninhaberKennnummer()

      6 Kennnummer des Karteninhabers. (Feld 6 der EKV-Karte.)
      Angabe: Kann.
      Format: 1 bis 30-stellig.
      Returns:
        KarteninhaberKennnummer.

    - #### setKarteninhaberKennnummer

          public void setKarteninhaberKennnummer(String karteninhaberKennnummer)

    - #### getPatientVorname

          public String getPatientVorname()

      Vorname des Patienten.
      Format: maximal 70-Zeichen
      Angabe: Kann.
      Returns:
        Freitext Vorname

    - #### setPatientVorname

          public void setPatientVorname(String patientVorname)

    - #### getPatientZuname

          public String getPatientZuname()

      Zuname / Familienname des Patienten.
      Format: maximal 70-Zeichen
      Angabe: Bedingt.
      Returns:
        Freitext Zuname

    - #### setPatientZuname

          public void setPatientZuname(String patientZuname)

    - #### getAusstellungsdatumVon

          public String getAusstellungsdatumVon()

      Frühstes Ausstellungsdatum das in der Suche inkludiert werden soll.
      Format: TT.MM.JJJJ (nicht in der Zukunft, nicht nach AusstellungsdatumBis)
      Angabe: Kann.
      Returns:
        AusstellungsdatumVon

    - #### setAusstellungsdatumVon

          public void setAusstellungsdatumVon(String ausstellungsdatumVon)

    - #### getAusstellungsdatumBis

          public String getAusstellungsdatumBis()

      Maximales Ausstellungsdatum das in der Suche inkludiert werden soll.
      Format: TT.MM.JJJJ (nicht in der Zukunft)
      Angabe: Kann.
      Returns:
        AusstellungsdatumBis

    - #### setAusstellungsdatumBis

          public void setAusstellungsdatumBis(String ausstellungsdatumBis)

    - #### getAbgabedatumVon

          public String getAbgabedatumVon()

      Frühstes Abgabedatum das in der Suche inkludiert werden soll.
      Format: TT.MM.JJJJ (nicht in der Zukunft, nicht nach AbgabedatumBis)
      Angabe: Kann.
      Returns:
        AusstellungsdatumVon

    - #### setAbgabedatumVon

          public void setAbgabedatumVon(String abgabedatumVon)

    - #### getAbgabedatumBis

          public String getAbgabedatumBis()

      Maximales Abgabedatum das in der Suche inkludiert werden soll.
      Format: TT.MM.JJJJ (nicht in der Zukunft)
      Angabe: Kann.
      Returns:
        AbgabedatumBis

    - #### setAbgabedatumBis

          public void setAbgabedatumBis(String abgabedatumBis)

    - #### getVpnr

          public String getVpnr()

      Vertragspartnernummer.
      Format: 6-stellig
      Angabe: Kann.
      Returns:
        VPNR

    - #### setVpnr

          public void setVpnr(String vpnr)

    - #### getRezeptStatus

          public String getRezeptStatus()

      Gesuchter Rezeptstatus bei Kassenrezept bzw. gesuchter Abgabestatus bei Privatrezept.
      Für Privatrezept gilt:
      RezeptStatus I = Alle Rezepte mit mindestens einer Abgabe mit dem Abgabestatus IB oder TP in der letzten Verordnungsabgabe.
      RezeptStatus E = Alle Rezepte mit mindestens einer Abgabe mit dem Abgabestatus AP in der letzten Verordnungsabgabe.
      Mögliche Werte: `StatusERezeptConstants`.
      Angabe: Kann.
      Returns:
        Rezeptstatus

    - #### setRezeptStatus

          public void setRezeptStatus(String rezeptStatus)

    - #### getRezId

          public String getRezId()

      Eindeutige ID eines e-Rezeptes.
      Format: 12-stellig
      Angabe: Kann.
      Returns:
        REZ-ID.

    - #### setRezId

          public void setRezId(String rezId)

    - #### getKvt

          public String getKvt()

      KV-Träger.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Kann.
      Returns:
        Code des KvTrägers

    - #### setKvt

          public void setKvt(String kvt)

    - #### getOrdinationsId

          public String getOrdinationsId()

      Eindeutiger Bezeichner einer Ordination.
      Format: max. 19-Stellen
      Angabe: Kann.
      Returns:
        OrdinationsId

    - #### setOrdinationsId

          public void setOrdinationsId(String ordinationsId)